Bug 152602 - dependency calculation error? or bad error message? or?
Summary: dependency calculation error? or bad error message? or?
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-30 18:26 UTC by james
Modified: 2014-01-21 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 20:20:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description james 2005-03-30 18:26:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
What is going on here?  The error message says that the lib files are missing, but obviously the files are installed.  Or does the error message say something  else, but in a confusing way?  Is this actually a problem with the development packages? or with yum?

$sudo yum -y update
...
--> Finished Dependency Resolution
Error: Missing Dependency: libFLAC.so.4 is needed by package kdemultimedia
Error: Missing Dependency: libFLAC.so.4 is needed by package k3b
Error: Missing Dependency: libFLAC++.so.2 is needed by package k3b

$ ll /usr/lib/libFLAC*
-rw-r--r--  1 root root 135824 Mar  2 16:33 /usr/lib/libFLAC++.a
lrwxrwxrwx  1 root root     18 Mar 31 00:33 /usr/lib/libFLAC++.so -> libFLAC++.so.2.1.2*
lrwxrwxrwx  1 root root     18 Mar 29 23:52 /usr/lib/libFLAC++.so.2 -> libFLAC++.so.2.1.2*
-rwxr-xr-x  1 root root 111560 Mar  2 16:33 /usr/lib/libFLAC++.so.2.1.2*
-rw-r--r--  1 root root 317812 Mar  2 16:33 /usr/lib/libFLAC.a
lrwxrwxrwx  1 root root     16 Mar 31 00:33 /usr/lib/libFLAC.so -> libFLAC.so.4.1.2*
lrwxrwxrwx  1 root root     16 Mar 29 23:52 /usr/lib/libFLAC.so.4 -> libFLAC.so.4.1.2*
-rwxr-xr-x  1 root root 255752 Mar  2 16:33 /usr/lib/libFLAC.so.4.1.2*

$ rpm -q flac
flac-1.1.0-9


Version-Release number of selected component (if applicable):
yum-2.3.1-3

How reproducible:
Always

Steps to Reproduce:
1. sudo yum -y update
2.
3.
  

Actual Results:  Error: Missing Dependency:...

Expected Results:  install packages

Additional info:

Comment 1 Sean Earp 2005-03-31 06:04:03 UTC
This is not a problem with yum, just the result of a horked up dependancy in one
of the development RPM's that YUM is trying to install/upgrade.

Just the cost of living on the bleeding edge known as Rawhide.  Tomorrow it will
be a different failed dependancy/package.  While Testing fedora, get used to using:

yum --exclude horkedpackage update

-Sean ;)


Note You need to log in before you can comment on or make changes to this bug.